Legacy CHEESE API

Search Embedding

Suggest an edit
GET
/molsearch_embedding

Search for a single molecule based on various criteria.

This endpoint allows users to search for a molecule embedding using different search types and qualities. Multiple databases can be specified for the search.

Parameters:

  • query_emb (List[float]): The molecule embedding used as an input to the search (default is the morgan embedding of Aspirin ).
  • search_type (SearchTypes): The type of search to perform (default is "morgan").
  • search_quality (SearchQuality): The quality of the search (default is "fast").
  • db_names (List[DatabaseEnum]): The databases to use for the search.
  • n_neighbors (int): The number of neighbors to consider (default is 30).

Returns:

  • A dictionary containing the search input, search type, number of neighbors, search quality, and databases used.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

query_emb?array<number>
search_type?SearchTypes

The type of search to perform

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
search_quality?SearchQuality

Speed/Accuracy Tradeoff

Default"fast"

Value in

  • "fast"
  • "accurate"
  • "very_accurate"
  • "100"
  • "1000"
  • "10000"
db_names?array<>

Selected Databases

Default

[  "CHEMINFINITA-SYNTHON"]
n_neighbors?N Neighbors
Default30

Response Body

application/json

application/json

curl -X GET "https://example.com/molsearch_embedding"
null